#!/bin/bash

if [ "$#" -lt 1 ]; then
    echo ""
    echo "Usage: $0 vdev..."
    echo "     Provide minimum one vdevs"
    exit 1
fi

ZPOOL_NAME="Phoenix"
DISKS=$*

create_new_pool(){
    echo "Creating Zpool:$ZPOOL_NAME with NO RAID and Disks:$DISKS"
    zpool create $ZPOOL_NAME $DISKS
    if [ $? -ne 0 ];
    then
        echo "Zpool creation failed..."
        exit 1
    fi
    echo "Zpool:$ZPOOL_NAME created successfully..."
}

create_new_pool





