#!/bin/bash

if [ "$#" -lt 3 ]; then
    echo ""
    echo "Usage: $0 vdev..."
    echo "     Provide minimum three vdevs"
    exit 1
fi

ZPOOL_NAME="Phoenix"
RAID_LEVEL="raidz"
DISKS=$*

create_new_pool(){
    echo "Creating Zpool:$ZPOOL_NAME with RAID:$RAID_LEVEL and Disks:$DISKS"
    zpool create $ZPOOL_NAME $RAID_LEVEL $DISKS
    if [ $? -ne 0 ];
    then
        echo "Zpool creation failed..."
        exit 1
    fi
    echo "Zpool:$ZPOOL_NAME created successfully..."
}

create_new_pool





